#308 Boa.py: problem with long option --wxVersionSelect

open
nobody
None
5
2009-04-20
2009-04-20
james makela
No

Hello everyone,

I am using Boa Constructor 0.6.1 with Python 2.5.2 and wxPython 2.8.8.0
on Ubuntu Linux

The main application python file for Boa is /usr/share/boa-constructor/Boa.py, and
It takes short and long command-line options.

The options for specifying the wxPython version are:
python /usr/share/boa-constructor/Boa.py -W <version>
Or alternately:
python /usr/share/boa-constructor/Boa.py --wxVersionSelect <version>

In my testing, the short option works just fine, but the long one does not.

Looking at the Python file, the long option should be defined:
'wxVersionSelect='
instead of:
'wxVersionSelect'

Thanks

Discussion